%global         momorel 1
%global         srcver 5.4

Name:           perl-XML-TreeBuilder
Version:        %{srcver}0
Release:        %{momorel}m%{?dist}
Summary:        Parser that builds a tree of XML::Element objects
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/XML-TreeBuilder/
Source0:        http://www.cpan.org/authors/id/J/JF/JFEARN/XML-TreeBuilder-%{srcver}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-HTML-Tagset >= 3.02
BuildRequires:  perl-HTML-Tree >= 3.08
BuildRequires:  perl-XML-Catalog
BuildRequires:  perl-XML-Parser
Requires:       perl-HTML-Tagset >= 3.02
Requires:       perl-HTML-Tree >= 3.08
Requires:       perl-XML-Catalog
Requires:       perl-XML-Parser
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
This module uses XML::Parser to make XML document trees constructed of
XML::Element objects (and XML::Element is a subclass of HTML::Element
adapted for XML). XML::TreeBuilder is meant particularly for people who
are used to the HTML::TreeBuilder / HTML::Element interface to document
trees, and who don't want to learn some other document interface like
XML::Twig or XML::DOM.

%prep
%setup -q -n XML-TreeBuilder-%{srcver}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
make test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/XML/*
%{_mandir}/man3/*

%changelog
* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (5.40-1m)
- rebuild against perl-5.20.0
- update to 5.4

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (5.20-2m)
- rebuild against perl-5.18.2

* Thu Jan  2 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (5.20-1m)
- update to 5.2

* Sun Nov 10 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (5.10-1m)
- update to 5.1

* Sun Oct  6 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (5.00-1m)
- update to 5.0

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (4.30-2m)
- rebuild against perl-5.18.1

* Sun Jul 21 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (4.30-1m)
- update to 4.30

* Tue Jul 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (4.20-1m)
- update to 4.20

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (4.10-10m)
- rebuild against perl-5.18.0

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (4.10-9m)
- rebuild against perl-5.16.3

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (4.10-8m)
- rebuild against perl-5.16.2

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (4.10-7m)
- rebuild against perl-5.16.1

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (4.10-6m)
- rebuild against perl-5.16.0

* Wed Oct  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (4.10-5m)
- rebuild against perl-5.14.2

* Thu Jun 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (4.10-4m)
- rebuild against perl-5.14.1

* Thu May 05 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (4.10-3m)
- rebuild against perl-5.14.0-0.2.1m

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (4.10-2m)
- rebuild for new GCC 4.6

* Thu Apr  7 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (4.10-1m)
- update to 4.1

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (4.00-2m)
- rebuild for new GCC 4.5

* Wed Nov 24 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.00-1m)
- update to 4.0

* Sun Sep 26 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.09-8m)
- rebuild against perl-5.12.2

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (3.09-7m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.09-6m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.09-5m)
- rebuild against perl-5.12.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.09-4m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.09-3m)
- rebuild against perl-5.10.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.09-2m)
- rebuild against rpm-4.6

* Sat Jun 07 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.09-1m)
- Specfile autogenerated by cpanspec 1.75 for Momonga Linux.
